GCLOUD_CONTAINER_NODE-POOLS_LIST(1)

NAME

gcloud container node-pools list - list existing node pools for a cluster

SYNOPSIS

gcloud container node-pools list [--cluster CLUSTER] [--zone ZONE, -z ZONE] [--filter EXPRESSION] [--flatten [KEY,...]] [--limit LIMIT] [--page-size PAGE_SIZE] [--sort-by FIELDS] [--uri] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud container node-pools list displays all node pools in the Google Container Engine cluster.

FLAGS
--cluster CLUSTER
    The name of the cluster.
--zone ZONE, -z ZONE
    The compute zone (e.g. us-central1-a) for the cluster

LIST COMMAND FLAGS
--filter EXPRESSION
    Apply a Boolean filter EXPRESSION to each resource item to be listed. If the expression evaluates True then that item is listed. For more details run $ gcloud topic filters. If --limit is also specified then it is applied after --filter.
--flatten [KEY,...]
    Flatten name[] resource slices in KEY to separate records for each item in each slice. Multiple keys and slices may be specified. This also flattens keys for --format and --filter. For example, --flatten=abc.def[] flattens abc.def[].ghi references to abc.def.ghi.
--limit LIMIT
    The maximum number of resources to list. The default is unlimited. If --filter is also specified then it is applied before --limit.
--page-size PAGE_SIZE
    Some services group resource list output into pages. This flag specifies the maximum number of resources per page. The default is determined by the service if it supports paging, otherwise it is unlimited (no paging). Paging may be applied before or after --filter and --limit depending on the service.
--sort-by FIELDS
    A comma-separated list of resource field key names to sort by. The default order is ascending. Prefix a field with ``~'' for descending order on that field.
--uri
    Print a list of resource URIs instead of the default output.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
To list all node pools in the cluster "sample-cluster" in table form, run:
    $ gcloud container node-pools list --cluster=sample-cluster